# Configuration file

##########################################################################################################
# _general
#--------------------------------------------------------------------------------------------------------#
# General and/or miscellaneous options.
##########################################################################################################

_general {
    # If true, prevents any of this mod's mobs from applying nausea when they normally would.
    # Use this if the screen warping from nausea hurts your face or makes you sick.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=false ]
    B:disable_nausea_effects=false

    # Overrides the default fishing rod item animation so that it is compatible with fishing mobs from this mod.
    # Disable this if it causes problems with another mod for some reason. Fishing mobs will instead render a stick while casting.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:fancy_fishing_mobs=true

    # When greater than 0, mobs will have a random render scale applied. This is a visual effect only.
    # With a value of 0.2, mob scale can vary by 20% (+/- 10% from normal size).
    # This only affects special variants and vanilla-replacement mobs.
    #    >> Float:[ Range={ 0.0, Infinity }, Default=0.15 ]
    D:random_scaling=0.15

    # If true, the mod will attempt to generate a spawn egg for each variant mob.
    # Disable this if your 'misc' creative tab is too full, or if you need to for whatever reason.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:spawn_eggs=true

    # Set this to false to disable mob spawning from this mod entirely. Do this if you want
    # to handle the spawning through another mod.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:spawning=true
}


##########################################################################################################
# blazes
#--------------------------------------------------------------------------------------------------------#
# Options related to special blazes.
##########################################################################################################

blazes {
    # When true, all vanilla blazes are replaced by 'vanilla-like' versions.
    # This enables all of the mod's options that apply to special variants to also apply to vanilla mobs,
    # in addition to all the nbt editing capabilities that special mobs have.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:_replace_vanilla=false

    # The chance for blazes to spawn as special variants.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.6 ]
    D:_special_chance=0.6

    # The chance for blazes to spawn as special variants when spawning in particular locations.
    # More specific locations take priority over others (biome < biome* < dimension < global setting).
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ dimension/overworld=0.25, dimension/the_nether=0.33, dimension/the_end=0.33 } ]
    S:_special_chance_exceptions <
        dimension/overworld=0.25
        dimension/the_nether=0.33
        dimension/the_end=0.33
     >

    # The weight for the 'cinder' variant to be picked when blazes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=0 ]
    I:cinder_weight=0

    # The weight for the 'cinder' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:cinder_weight_exceptions <
     >

    # The weight for the 'conflagration' variant to be picked when blazes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:conflagration_weight=100

    # The weight for the 'conflagration' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:conflagration_weight_exceptions <
     >

    # The weight for the 'ember' variant to be picked when blazes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:ember_weight=100

    # The weight for the 'ember' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:ember_weight_exceptions <
     >

    # The weight for the 'hellfire' variant to be picked when blazes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:hellfire_weight=100

    # The weight for the 'hellfire' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:hellfire_weight_exceptions <
     >

    # The weight for the 'inferno' variant to be picked when blazes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:inferno_weight=100

    # The weight for the 'inferno' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:inferno_weight_exceptions <
     >

    # The weight for the 'jolt' variant to be picked when blazes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:jolt_weight=100

    # The weight for the 'jolt' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:jolt_weight_exceptions <
     >

    # The weight for the 'wildfire' variant to be picked when blazes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:wildfire_weight=100

    # The weight for the 'wildfire' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:wildfire_weight_exceptions <
     >
}


##########################################################################################################
# cave_spiders
#--------------------------------------------------------------------------------------------------------#
# Options related to special cave spiders.
##########################################################################################################

cave_spiders {
    # When true, all vanilla cave spiders are replaced by 'vanilla-like' versions.
    # This enables all of the mod's options that apply to special variants to also apply to vanilla mobs,
    # in addition to all the nbt editing capabilities that special mobs have.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:_replace_vanilla=false

    # The chance for cave spiders to spawn as special variants.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.6 ]
    D:_special_chance=0.6

    # The chance for cave spiders to spawn as special variants when spawning in particular locations.
    # More specific locations take priority over others (biome < biome* < dimension < global setting).
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ dimension/overworld=0.25, dimension/the_nether=0.33, dimension/the_end=0.33 } ]
    S:_special_chance_exceptions <
        dimension/overworld=0.25
        dimension/the_nether=0.33
        dimension/the_end=0.33
     >

    # The weight for the 'baby' variant to be picked when cave spiders spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=0 ]
    I:baby_weight=0

    # The weight for the 'baby' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:baby_weight_exceptions <
     >

    # The weight for the 'flying' variant to be picked when cave spiders spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:flying_weight=100

    # The weight for the 'flying' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:extreme*=200.0, biome/minecraft:smaller_extreme*=200.0, biome/minecraft:mesa*=200.0, biome/minecraft:ice_mountains*=200.0, biome/minecraft:stone*=200.0, biome/minecraft:plains*=20.0, biome/minecraft:desert*=20.0, biome/minecraft:swamp*=20.0, biome/minecraft:beach*=20.0, biome/minecraft:cold_beach*=20.0, biome/minecraft:savanna*=20.0, biome/minecraft:ice_flats*=20.0 } ]
    S:flying_weight_exceptions <
        biome/minecraft:extreme*=200.0
        biome/minecraft:smaller_extreme*=200.0
        biome/minecraft:mesa*=200.0
        biome/minecraft:ice_mountains*=200.0
        biome/minecraft:stone*=200.0
        biome/minecraft:plains*=20.0
        biome/minecraft:desert*=20.0
        biome/minecraft:swamp*=20.0
        biome/minecraft:beach*=20.0
        biome/minecraft:cold_beach*=20.0
        biome/minecraft:savanna*=20.0
        biome/minecraft:ice_flats*=20.0
     >

    # The weight for the 'mother' variant to be picked when cave spiders spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:mother_weight=100

    # The weight for the 'mother' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:mother_weight_exceptions <
     >

    # The weight for the 'web' variant to be picked when cave spiders spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:web_weight=50

    # The weight for the 'web' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:forest*=200.0, biome/minecraft:birch_forest*=200.0, biome/minecraft:roofed_forest*=200.0, biome/minecraft:jungle*=200.0, biome/minecraft:taiga*=200.0, biome/minecraft:redwood_taiga*=200.0, biome/minecraft:desert*=20.0, biome/minecraft:ice*=20.0, biome/minecraft:stone*=20.0 } ]
    S:web_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:forest*=200.0
        biome/minecraft:birch_forest*=200.0
        biome/minecraft:roofed_forest*=200.0
        biome/minecraft:jungle*=200.0
        biome/minecraft:taiga*=200.0
        biome/minecraft:redwood_taiga*=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:ice*=20.0
        biome/minecraft:stone*=20.0
     >

    # The weight for the 'witch' variant to be picked when cave spiders spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:witch_weight=50

    # The weight for the 'witch' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:witch_weight_exceptions <
     >
}


##########################################################################################################
# creepers
#--------------------------------------------------------------------------------------------------------#
# Options related to special creepers.
##########################################################################################################

creepers {
    # Chance for creepers to spawn charged during thunderstorms.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.01 ]
    D:_charged_chance=0.01

    # When true, all vanilla creepers are replaced by 'vanilla-like' versions.
    # This enables all of the mod's options that apply to special variants to also apply to vanilla mobs,
    # in addition to all the nbt editing capabilities that special mobs have.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:_replace_vanilla=false

    # The chance for creepers to spawn as special variants.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.6 ]
    D:_special_chance=0.6

    # The chance for creepers to spawn as special variants when spawning in particular locations.
    # More specific locations take priority over others (biome < biome* < dimension < global setting).
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ dimension/overworld=0.25, dimension/the_nether=0.33, dimension/the_end=0.33 } ]
    S:_special_chance_exceptions <
        dimension/overworld=0.25
        dimension/the_nether=0.33
        dimension/the_end=0.33
     >

    # The weight for the 'dark' variant to be picked when creepers spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:dark_weight=100

    # The weight for the 'dark' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:dark_weight_exceptions <
     >

    # The weight for the 'death' variant to be picked when creepers spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:death_weight=100

    # The weight for the 'death' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:death_weight_exceptions <
     >

    # The weight for the 'dirt' variant to be picked when creepers spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:dirt_weight=100

    # The weight for the 'dirt' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:dirt_weight_exceptions <
     >

    # The weight for the 'doom' variant to be picked when creepers spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:doom_weight=100

    # The weight for the 'doom' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:forest*=200.0, biome/minecraft:birch_forest*=200.0, biome/minecraft:roofed_forest*=200.0, biome/minecraft:jungle*=200.0, biome/minecraft:taiga*=200.0, biome/minecraft:redwood_taiga*=200.0, biome/minecraft:desert*=20.0, biome/minecraft:ice*=20.0, biome/minecraft:stone*=20.0 } ]
    S:doom_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:forest*=200.0
        biome/minecraft:birch_forest*=200.0
        biome/minecraft:roofed_forest*=200.0
        biome/minecraft:jungle*=200.0
        biome/minecraft:taiga*=200.0
        biome/minecraft:redwood_taiga*=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:ice*=20.0
        biome/minecraft:stone*=20.0
     >

    # The weight for the 'drowning' variant to be picked when creepers spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:drowning_weight=50

    # The weight for the 'drowning' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:beaches=200.0, biome/minecraft:ocean=200.0, biome/minecraft:deep_ocean=200.0, biome/minecraft:frozen_ocean=200.0, biome/minecraft:desert*=20.0, biome/minecraft:savanna*=20.0, dimension/the_nether=0.0 } ]
    S:drowning_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:beaches=200.0
        biome/minecraft:ocean=200.0
        biome/minecraft:deep_ocean=200.0
        biome/minecraft:frozen_ocean=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:savanna*=20.0
        dimension/the_nether=0.0
     >

    # The weight for the 'ender' variant to be picked when creepers spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:ender_weight=50

    # The weight for the 'ender' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ dimension/the_end=400.0 } ]
    S:ender_weight_exceptions <
        dimension/the_end=400.0
     >

    # The weight for the 'fire' variant to be picked when creepers spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:fire_weight=100

    # The weight for the 'fire' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:desert*=200.0, biome/minecraft:savanna*=200.0, biome/minecraft:mesa*=200.0, dimension/the_nether=200.0, biome/minecraft:ice*=20.0, biome/minecraft:frozen*=20.0, biome/minecraft:cold*=20.0, biome/minecraft:taiga_cold*=20.0 } ]
    S:fire_weight_exceptions <
        biome/minecraft:desert*=200.0
        biome/minecraft:savanna*=200.0
        biome/minecraft:mesa*=200.0
        dimension/the_nether=200.0
        biome/minecraft:ice*=20.0
        biome/minecraft:frozen*=20.0
        biome/minecraft:cold*=20.0
        biome/minecraft:taiga_cold*=20.0
     >

    # The weight for the 'gravel' variant to be picked when creepers spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:gravel_weight=100

    # The weight for the 'gravel' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:gravel_weight_exceptions <
     >

    # The weight for the 'jumping' variant to be picked when creepers spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:jumping_weight=100

    # The weight for the 'jumping' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:extreme*=200.0, biome/minecraft:smaller_extreme*=200.0, biome/minecraft:mesa*=200.0, biome/minecraft:ice_mountains*=200.0, biome/minecraft:stone*=200.0, biome/minecraft:plains*=20.0, biome/minecraft:desert*=20.0, biome/minecraft:swamp*=20.0, biome/minecraft:beach*=20.0, biome/minecraft:cold_beach*=20.0, biome/minecraft:savanna*=20.0, biome/minecraft:ice_flats*=20.0 } ]
    S:jumping_weight_exceptions <
        biome/minecraft:extreme*=200.0
        biome/minecraft:smaller_extreme*=200.0
        biome/minecraft:mesa*=200.0
        biome/minecraft:ice_mountains*=200.0
        biome/minecraft:stone*=200.0
        biome/minecraft:plains*=20.0
        biome/minecraft:desert*=20.0
        biome/minecraft:swamp*=20.0
        biome/minecraft:beach*=20.0
        biome/minecraft:cold_beach*=20.0
        biome/minecraft:savanna*=20.0
        biome/minecraft:ice_flats*=20.0
     >

    # The weight for the 'lightning' variant to be picked when creepers spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:lightning_weight=100

    # The weight for the 'lightning' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:lightning_weight_exceptions <
     >

    # The weight for the 'mini' variant to be picked when creepers spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:mini_weight=50

    # The weight for the 'mini' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:mini_weight_exceptions <
     >

    # The weight for the 'splitting' variant to be picked when creepers spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:splitting_weight=50

    # The weight for the 'splitting' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:splitting_weight_exceptions <
     >
}


##########################################################################################################
# endermen
#--------------------------------------------------------------------------------------------------------#
# Options related to special endermen.
##########################################################################################################

endermen {
    # Set of blocks that can be moved around by endermen. Removing all entries here disables enderman griefing.
    # Other mods can still add/remove blocks from this list, so be aware of which mods do.
    # Unlike most config options here, this affects vanilla endermen in addition to the endermen from this mod (and probably other mods).
    #    >> Block_Array:[ Value={ mod_id:block_id, mod_id:block_id meta, mod_id:* }, Default={ minecraft:grass, minecraft:mycelium, minecraft:dirt, minecraft:clay, minecraft:sand, minecraft:gravel, minecraft:yellow_flower, minecraft:red_flower, minecraft:brown_mushroom, minecraft:red_mushroom, minecraft:pumpkin, minecraft:melon_block, minecraft:cactus, minecraft:tnt, minecraft:netherrack } ]
    S:_carriable_blocks <
        minecraft:grass
        minecraft:mycelium
        minecraft:dirt
        minecraft:clay
        minecraft:sand
        minecraft:gravel
        minecraft:yellow_flower
        minecraft:red_flower
        minecraft:brown_mushroom
        minecraft:red_mushroom
        minecraft:pumpkin
        minecraft:melon_block
        minecraft:cactus
        minecraft:tnt
        minecraft:netherrack
     >

    # When true, all vanilla endermen are replaced by 'vanilla-like' versions.
    # This enables all of the mod's options that apply to special variants to also apply to vanilla mobs,
    # in addition to all the nbt editing capabilities that special mobs have.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:_replace_vanilla=false

    # The chance for endermen to spawn as special variants.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.6 ]
    D:_special_chance=0.6

    # The chance for endermen to spawn as special variants when spawning in particular locations.
    # More specific locations take priority over others (biome < biome* < dimension < global setting).
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ dimension/overworld=0.25, dimension/the_nether=0.33, dimension/the_end=0.33 } ]
    S:_special_chance_exceptions <
        dimension/overworld=0.25
        dimension/the_nether=0.33
        dimension/the_end=0.33
     >

    # The weight for the 'blinding' variant to be picked when endermen spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:blinding_weight=100

    # The weight for the 'blinding' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:forest*=200.0, biome/minecraft:birch_forest*=200.0, biome/minecraft:roofed_forest*=200.0, biome/minecraft:jungle*=200.0, biome/minecraft:taiga*=200.0, biome/minecraft:redwood_taiga*=200.0, biome/minecraft:desert*=20.0, biome/minecraft:ice*=20.0, biome/minecraft:stone*=20.0 } ]
    S:blinding_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:forest*=200.0
        biome/minecraft:birch_forest*=200.0
        biome/minecraft:roofed_forest*=200.0
        biome/minecraft:jungle*=200.0
        biome/minecraft:taiga*=200.0
        biome/minecraft:redwood_taiga*=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:ice*=20.0
        biome/minecraft:stone*=20.0
     >

    # The weight for the 'icy' variant to be picked when endermen spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:icy_weight=100

    # The weight for the 'icy' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:ice*=200.0, biome/minecraft:frozen*=200.0, biome/minecraft:cold*=200.0, biome/minecraft:taiga_cold*=200.0, biome/minecraft:desert*=20.0, biome/minecraft:savanna*=20.0, biome/minecraft:mesa*=20.0, dimension/the_nether=20.0 } ]
    S:icy_weight_exceptions <
        biome/minecraft:ice*=200.0
        biome/minecraft:frozen*=200.0
        biome/minecraft:cold*=200.0
        biome/minecraft:taiga_cold*=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:savanna*=20.0
        biome/minecraft:mesa*=20.0
        dimension/the_nether=20.0
     >

    # The weight for the 'lightning' variant to be picked when endermen spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:lightning_weight=100

    # The weight for the 'lightning' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:lightning_weight_exceptions <
     >

    # The weight for the 'mini' variant to be picked when endermen spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:mini_weight=50

    # The weight for the 'mini' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:mini_weight_exceptions <
     >

    # The weight for the 'mirage' variant to be picked when endermen spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:mirage_weight=50

    # The weight for the 'mirage' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:desert*=200.0, biome/minecraft:savanna*=200.0, biome/minecraft:mesa*=200.0, biome/minecraft:beaches=200.0 } ]
    S:mirage_weight_exceptions <
        biome/minecraft:desert*=200.0
        biome/minecraft:savanna*=200.0
        biome/minecraft:mesa*=200.0
        biome/minecraft:beaches=200.0
     >

    # The weight for the 'thief' variant to be picked when endermen spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:thief_weight=50

    # The weight for the 'thief' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:thief_weight_exceptions <
     >
}


##########################################################################################################
# ghasts
#--------------------------------------------------------------------------------------------------------#
# Options related to special ghasts.
##########################################################################################################

ghasts {
    # When true, all vanilla ghasts are replaced by 'vanilla-like' versions.
    # This enables all of the mod's options that apply to special variants to also apply to vanilla mobs,
    # in addition to all the nbt editing capabilities that special mobs have.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:_replace_vanilla=false

    # The chance for ghasts to spawn as special variants.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.6 ]
    D:_special_chance=0.6

    # The chance for ghasts to spawn as special variants when spawning in particular locations.
    # More specific locations take priority over others (biome < biome* < dimension < global setting).
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ dimension/overworld=0.25, dimension/the_nether=0.33, dimension/the_end=0.33 } ]
    S:_special_chance_exceptions <
        dimension/overworld=0.25
        dimension/the_nether=0.33
        dimension/the_end=0.33
     >

    # The weight for the 'baby' variant to be picked when ghasts spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=0 ]
    I:baby_weight=0

    # The weight for the 'baby' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:baby_weight_exceptions <
     >

    # The weight for the 'fighter' variant to be picked when ghasts spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:fighter_weight=100

    # The weight for the 'fighter' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:fighter_weight_exceptions <
     >

    # The weight for the 'king' variant to be picked when ghasts spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:king_weight=50

    # The weight for the 'king' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:king_weight_exceptions <
     >

    # The weight for the 'queen' variant to be picked when ghasts spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:queen_weight=100

    # The weight for the 'queen' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:queen_weight_exceptions <
     >

    # The weight for the 'unholy' variant to be picked when ghasts spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:unholy_weight=50

    # The weight for the 'unholy' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:unholy_weight_exceptions <
     >
}


##########################################################################################################
# magma_cubes
#--------------------------------------------------------------------------------------------------------#
# Options related to special magma cubes.
##########################################################################################################

magma_cubes {
    # When true, all vanilla magma cubes are replaced by 'vanilla-like' versions.
    # This enables all of the mod's options that apply to special variants to also apply to vanilla mobs,
    # in addition to all the nbt editing capabilities that special mobs have.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:_replace_vanilla=false

    # The chance for magma cubes to spawn as special variants.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.6 ]
    D:_special_chance=0.6

    # The chance for magma cubes to spawn as special variants when spawning in particular locations.
    # More specific locations take priority over others (biome < biome* < dimension < global setting).
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ dimension/overworld=0.25, dimension/the_nether=0.33, dimension/the_end=0.33 } ]
    S:_special_chance_exceptions <
        dimension/overworld=0.25
        dimension/the_nether=0.33
        dimension/the_end=0.33
     >

    # The weight for the 'flying' variant to be picked when magma cubes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:flying_weight=100

    # The weight for the 'flying' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:extreme*=200.0, biome/minecraft:smaller_extreme*=200.0, biome/minecraft:mesa*=200.0, biome/minecraft:ice_mountains*=200.0, biome/minecraft:stone*=200.0, biome/minecraft:plains*=20.0, biome/minecraft:desert*=20.0, biome/minecraft:swamp*=20.0, biome/minecraft:beach*=20.0, biome/minecraft:cold_beach*=20.0, biome/minecraft:savanna*=20.0, biome/minecraft:ice_flats*=20.0 } ]
    S:flying_weight_exceptions <
        biome/minecraft:extreme*=200.0
        biome/minecraft:smaller_extreme*=200.0
        biome/minecraft:mesa*=200.0
        biome/minecraft:ice_mountains*=200.0
        biome/minecraft:stone*=200.0
        biome/minecraft:plains*=20.0
        biome/minecraft:desert*=20.0
        biome/minecraft:swamp*=20.0
        biome/minecraft:beach*=20.0
        biome/minecraft:cold_beach*=20.0
        biome/minecraft:savanna*=20.0
        biome/minecraft:ice_flats*=20.0
     >

    # The weight for the 'hardened' variant to be picked when magma cubes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:hardened_weight=50

    # The weight for the 'hardened' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:hardened_weight_exceptions <
     >

    # The weight for the 'sticky' variant to be picked when magma cubes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:sticky_weight=100

    # The weight for the 'sticky' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:sticky_weight_exceptions <
     >

    # The weight for the 'volatile' variant to be picked when magma cubes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:volatile_weight=100

    # The weight for the 'volatile' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:volatile_weight_exceptions <
     >
}


##########################################################################################################
# silverfish
#--------------------------------------------------------------------------------------------------------#
# Options related to special silverfish.
##########################################################################################################

silverfish {
    # Chance for silverfish to spawn already calling for reinforcements.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.2 ]
    D:_aggressive_chance=0.2

    # When true, all vanilla silverfish are replaced by 'vanilla-like' versions.
    # This enables all of the mod's options that apply to special variants to also apply to vanilla mobs,
    # in addition to all the nbt editing capabilities that special mobs have.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:_replace_vanilla=false

    # The chance for silverfish to spawn as special variants.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.6 ]
    D:_special_chance=0.6

    # The chance for silverfish to spawn as special variants when spawning in particular locations.
    # More specific locations take priority over others (biome < biome* < dimension < global setting).
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ dimension/overworld=0.25, dimension/the_nether=0.33, dimension/the_end=0.33 } ]
    S:_special_chance_exceptions <
        dimension/overworld=0.25
        dimension/the_nether=0.33
        dimension/the_end=0.33
     >

    # The weight for the 'blinding' variant to be picked when silverfish spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:blinding_weight=100

    # The weight for the 'blinding' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:forest*=200.0, biome/minecraft:birch_forest*=200.0, biome/minecraft:roofed_forest*=200.0, biome/minecraft:jungle*=200.0, biome/minecraft:taiga*=200.0, biome/minecraft:redwood_taiga*=200.0, biome/minecraft:desert*=20.0, biome/minecraft:ice*=20.0, biome/minecraft:stone*=20.0 } ]
    S:blinding_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:forest*=200.0
        biome/minecraft:birch_forest*=200.0
        biome/minecraft:roofed_forest*=200.0
        biome/minecraft:jungle*=200.0
        biome/minecraft:taiga*=200.0
        biome/minecraft:redwood_taiga*=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:ice*=20.0
        biome/minecraft:stone*=20.0
     >

    # The weight for the 'fishing' variant to be picked when silverfish spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:fishing_weight=100

    # The weight for the 'fishing' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:beaches=200.0, biome/minecraft:ocean=200.0, biome/minecraft:deep_ocean=200.0, biome/minecraft:frozen_ocean=200.0, biome/minecraft:desert*=50.0, biome/minecraft:savanna*=50.0, biome/minecraft:mesa*=50.0 } ]
    S:fishing_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:beaches=200.0
        biome/minecraft:ocean=200.0
        biome/minecraft:deep_ocean=200.0
        biome/minecraft:frozen_ocean=200.0
        biome/minecraft:desert*=50.0
        biome/minecraft:savanna*=50.0
        biome/minecraft:mesa*=50.0
     >

    # The weight for the 'flying' variant to be picked when silverfish spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:flying_weight=100

    # The weight for the 'flying' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:extreme*=200.0, biome/minecraft:smaller_extreme*=200.0, biome/minecraft:mesa*=200.0, biome/minecraft:ice_mountains*=200.0, biome/minecraft:stone*=200.0, biome/minecraft:plains*=20.0, biome/minecraft:desert*=20.0, biome/minecraft:swamp*=20.0, biome/minecraft:beach*=20.0, biome/minecraft:cold_beach*=20.0, biome/minecraft:savanna*=20.0, biome/minecraft:ice_flats*=20.0 } ]
    S:flying_weight_exceptions <
        biome/minecraft:extreme*=200.0
        biome/minecraft:smaller_extreme*=200.0
        biome/minecraft:mesa*=200.0
        biome/minecraft:ice_mountains*=200.0
        biome/minecraft:stone*=200.0
        biome/minecraft:plains*=20.0
        biome/minecraft:desert*=20.0
        biome/minecraft:swamp*=20.0
        biome/minecraft:beach*=20.0
        biome/minecraft:cold_beach*=20.0
        biome/minecraft:savanna*=20.0
        biome/minecraft:ice_flats*=20.0
     >

    # The weight for the 'poison' variant to be picked when silverfish spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:poison_weight=100

    # The weight for the 'poison' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:forest*=200.0, biome/minecraft:birch_forest*=200.0, biome/minecraft:roofed_forest*=200.0, biome/minecraft:jungle*=200.0, biome/minecraft:taiga*=200.0, biome/minecraft:redwood_taiga*=200.0, biome/minecraft:desert*=20.0, biome/minecraft:ice*=20.0, biome/minecraft:stone*=20.0 } ]
    S:poison_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:forest*=200.0
        biome/minecraft:birch_forest*=200.0
        biome/minecraft:roofed_forest*=200.0
        biome/minecraft:jungle*=200.0
        biome/minecraft:taiga*=200.0
        biome/minecraft:redwood_taiga*=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:ice*=20.0
        biome/minecraft:stone*=20.0
     >

    # The weight for the 'tough' variant to be picked when silverfish spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:tough_weight=50

    # The weight for the 'tough' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:tough_weight_exceptions <
     >
}


##########################################################################################################
# skeletons
#--------------------------------------------------------------------------------------------------------#
# Options related to special skeletons.
##########################################################################################################

skeletons {
    # Chance for skeletons to spawn as babies.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.05 ]
    D:_baby_chance=0.05

    # Chance for valid skeletons to spawn with bows.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.95 ]
    D:_bow_chance=0.95

    # When true, all vanilla skeletons are replaced by 'vanilla-like' versions.
    # This enables all of the mod's options that apply to special variants to also apply to vanilla mobs,
    # in addition to all the nbt editing capabilities that special mobs have.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:_replace_vanilla=false

    # The chance for skeletons to spawn as special variants.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.6 ]
    D:_special_chance=0.6

    # The chance for skeletons to spawn as special variants when spawning in particular locations.
    # More specific locations take priority over others (biome < biome* < dimension < global setting).
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ dimension/overworld=0.25, dimension/the_nether=0.33, dimension/the_end=0.33 } ]
    S:_special_chance_exceptions <
        dimension/overworld=0.25
        dimension/the_nether=0.33
        dimension/the_end=0.33
     >

    # The weight for the 'brute' variant to be picked when skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:brute_weight=100

    # The weight for the 'brute' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:brute_weight_exceptions <
     >

    # The weight for the 'fire' variant to be picked when skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:fire_weight=100

    # The weight for the 'fire' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:desert*=200.0, biome/minecraft:savanna*=200.0, biome/minecraft:mesa*=200.0, dimension/the_nether=200.0, biome/minecraft:ice*=20.0, biome/minecraft:frozen*=20.0, biome/minecraft:cold*=20.0, biome/minecraft:taiga_cold*=20.0 } ]
    S:fire_weight_exceptions <
        biome/minecraft:desert*=200.0
        biome/minecraft:savanna*=200.0
        biome/minecraft:mesa*=200.0
        dimension/the_nether=200.0
        biome/minecraft:ice*=20.0
        biome/minecraft:frozen*=20.0
        biome/minecraft:cold*=20.0
        biome/minecraft:taiga_cold*=20.0
     >

    # The weight for the 'gatling' variant to be picked when skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:gatling_weight=100

    # The weight for the 'gatling' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:gatling_weight_exceptions <
     >

    # The weight for the 'giant' variant to be picked when skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:giant_weight=100

    # The weight for the 'giant' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:giant_weight_exceptions <
     >

    # The weight for the 'knight' variant to be picked when skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:knight_weight=100

    # The weight for the 'knight' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:knight_weight_exceptions <
     >

    # The weight for the 'ninja' variant to be picked when skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:ninja_weight=100

    # The weight for the 'ninja' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:ninja_weight_exceptions <
     >

    # The weight for the 'poison' variant to be picked when skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:poison_weight=100

    # The weight for the 'poison' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:forest*=200.0, biome/minecraft:birch_forest*=200.0, biome/minecraft:roofed_forest*=200.0, biome/minecraft:jungle*=200.0, biome/minecraft:taiga*=200.0, biome/minecraft:redwood_taiga*=200.0, biome/minecraft:desert*=20.0, biome/minecraft:ice*=20.0, biome/minecraft:stone*=20.0 } ]
    S:poison_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:forest*=200.0
        biome/minecraft:birch_forest*=200.0
        biome/minecraft:roofed_forest*=200.0
        biome/minecraft:jungle*=200.0
        biome/minecraft:taiga*=200.0
        biome/minecraft:redwood_taiga*=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:ice*=20.0
        biome/minecraft:stone*=20.0
     >

    # The weight for the 'sniper' variant to be picked when skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:sniper_weight=100

    # The weight for the 'sniper' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:sniper_weight_exceptions <
     >

    # The weight for the 'spitfire' variant to be picked when skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:spitfire_weight=50

    # The weight for the 'spitfire' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:desert*=200.0, biome/minecraft:savanna*=200.0, biome/minecraft:mesa*=200.0, dimension/the_nether=200.0, biome/minecraft:ice*=20.0, biome/minecraft:frozen*=20.0, biome/minecraft:cold*=20.0, biome/minecraft:taiga_cold*=20.0 } ]
    S:spitfire_weight_exceptions <
        biome/minecraft:desert*=200.0
        biome/minecraft:savanna*=200.0
        biome/minecraft:mesa*=200.0
        dimension/the_nether=200.0
        biome/minecraft:ice*=20.0
        biome/minecraft:frozen*=20.0
        biome/minecraft:cold*=20.0
        biome/minecraft:taiga_cold*=20.0
     >

    # The weight for the 'stray' variant to be picked when skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:stray_weight=50

    # The weight for the 'stray' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:ice*=200.0, biome/minecraft:frozen*=200.0, biome/minecraft:cold*=200.0, biome/minecraft:taiga_cold*=200.0, biome/minecraft:desert*=20.0, biome/minecraft:savanna*=20.0, biome/minecraft:mesa*=20.0, dimension/the_nether=20.0 } ]
    S:stray_weight_exceptions <
        biome/minecraft:ice*=200.0
        biome/minecraft:frozen*=200.0
        biome/minecraft:cold*=200.0
        biome/minecraft:taiga_cold*=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:savanna*=20.0
        biome/minecraft:mesa*=20.0
        dimension/the_nether=20.0
     >
}


##########################################################################################################
# slimes
#--------------------------------------------------------------------------------------------------------#
# Options related to special slimes.
##########################################################################################################

slimes {
    # When true, all vanilla slimes are replaced by 'vanilla-like' versions.
    # This enables all of the mod's options that apply to special variants to also apply to vanilla mobs,
    # in addition to all the nbt editing capabilities that special mobs have.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:_replace_vanilla=false

    # The chance for slimes to spawn as special variants.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.6 ]
    D:_special_chance=0.6

    # The chance for slimes to spawn as special variants when spawning in particular locations.
    # More specific locations take priority over others (biome < biome* < dimension < global setting).
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ dimension/overworld=0.25, dimension/the_nether=0.33, dimension/the_end=0.33 } ]
    S:_special_chance_exceptions <
        dimension/overworld=0.25
        dimension/the_nether=0.33
        dimension/the_end=0.33
     >

    # Setting this to false makes tiny slimes incapable of dealing damage, like in vanilla.
    # I don't recommend disabling this, but the option is here if you want to revert the change.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:_tiny_slime_damage=true

    # The weight for the 'blackberry' variant to be picked when slimes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:blackberry_weight=100

    # The weight for the 'blackberry' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:blackberry_weight_exceptions <
     >

    # The weight for the 'blueberry' variant to be picked when slimes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:blueberry_weight=100

    # The weight for the 'blueberry' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:beaches=200.0, biome/minecraft:ocean=200.0, biome/minecraft:deep_ocean=200.0, biome/minecraft:frozen_ocean=200.0, biome/minecraft:desert*=20.0, biome/minecraft:savanna*=20.0, dimension/the_nether=0.0 } ]
    S:blueberry_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:beaches=200.0
        biome/minecraft:ocean=200.0
        biome/minecraft:deep_ocean=200.0
        biome/minecraft:frozen_ocean=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:savanna*=20.0
        dimension/the_nether=0.0
     >

    # The weight for the 'caramel' variant to be picked when slimes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:caramel_weight=100

    # The weight for the 'caramel' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:caramel_weight_exceptions <
     >

    # The weight for the 'grape' variant to be picked when slimes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:grape_weight=100

    # The weight for the 'grape' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:extreme*=200.0, biome/minecraft:smaller_extreme*=200.0, biome/minecraft:mesa*=200.0, biome/minecraft:ice_mountains*=200.0, biome/minecraft:stone*=200.0, biome/minecraft:plains*=20.0, biome/minecraft:desert*=20.0, biome/minecraft:swamp*=20.0, biome/minecraft:beach*=20.0, biome/minecraft:cold_beach*=20.0, biome/minecraft:savanna*=20.0, biome/minecraft:ice_flats*=20.0 } ]
    S:grape_weight_exceptions <
        biome/minecraft:extreme*=200.0
        biome/minecraft:smaller_extreme*=200.0
        biome/minecraft:mesa*=200.0
        biome/minecraft:ice_mountains*=200.0
        biome/minecraft:stone*=200.0
        biome/minecraft:plains*=20.0
        biome/minecraft:desert*=20.0
        biome/minecraft:swamp*=20.0
        biome/minecraft:beach*=20.0
        biome/minecraft:cold_beach*=20.0
        biome/minecraft:savanna*=20.0
        biome/minecraft:ice_flats*=20.0
     >

    # The weight for the 'lemon' variant to be picked when slimes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:lemon_weight=100

    # The weight for the 'lemon' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:lemon_weight_exceptions <
     >

    # The weight for the 'strawberry' variant to be picked when slimes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:strawberry_weight=100

    # The weight for the 'strawberry' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:desert*=200.0, biome/minecraft:savanna*=200.0, biome/minecraft:mesa*=200.0, dimension/the_nether=200.0, biome/minecraft:ice*=20.0, biome/minecraft:frozen*=20.0, biome/minecraft:cold*=20.0, biome/minecraft:taiga_cold*=20.0 } ]
    S:strawberry_weight_exceptions <
        biome/minecraft:desert*=200.0
        biome/minecraft:savanna*=200.0
        biome/minecraft:mesa*=200.0
        dimension/the_nether=200.0
        biome/minecraft:ice*=20.0
        biome/minecraft:frozen*=20.0
        biome/minecraft:cold*=20.0
        biome/minecraft:taiga_cold*=20.0
     >

    # The weight for the 'watermelon' variant to be picked when slimes spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:watermelon_weight=50

    # The weight for the 'watermelon' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:watermelon_weight_exceptions <
     >
}


##########################################################################################################
# spiders
#--------------------------------------------------------------------------------------------------------#
# Options related to special spiders.
##########################################################################################################

spiders {
    # When true, all vanilla spiders are replaced by 'vanilla-like' versions.
    # This enables all of the mod's options that apply to special variants to also apply to vanilla mobs,
    # in addition to all the nbt editing capabilities that special mobs have.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:_replace_vanilla=false

    # The chance for spiders to spawn as special variants.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.6 ]
    D:_special_chance=0.6

    # The chance for spiders to spawn as special variants when spawning in particular locations.
    # More specific locations take priority over others (biome < biome* < dimension < global setting).
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ dimension/overworld=0.25, dimension/the_nether=0.33, dimension/the_end=0.33 } ]
    S:_special_chance_exceptions <
        dimension/overworld=0.25
        dimension/the_nether=0.33
        dimension/the_end=0.33
     >

    # The weight for the 'baby' variant to be picked when spiders spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=0 ]
    I:baby_weight=0

    # The weight for the 'baby' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:baby_weight_exceptions <
     >

    # The weight for the 'desert' variant to be picked when spiders spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:desert_weight=100

    # The weight for the 'desert' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:desert*=200.0, biome/minecraft:savanna*=200.0, biome/minecraft:mesa*=200.0 } ]
    S:desert_weight_exceptions <
        biome/minecraft:desert*=200.0
        biome/minecraft:savanna*=200.0
        biome/minecraft:mesa*=200.0
     >

    # The weight for the 'flying' variant to be picked when spiders spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:flying_weight=100

    # The weight for the 'flying' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:extreme*=200.0, biome/minecraft:smaller_extreme*=200.0, biome/minecraft:mesa*=200.0, biome/minecraft:ice_mountains*=200.0, biome/minecraft:stone*=200.0, biome/minecraft:plains*=20.0, biome/minecraft:desert*=20.0, biome/minecraft:swamp*=20.0, biome/minecraft:beach*=20.0, biome/minecraft:cold_beach*=20.0, biome/minecraft:savanna*=20.0, biome/minecraft:ice_flats*=20.0 } ]
    S:flying_weight_exceptions <
        biome/minecraft:extreme*=200.0
        biome/minecraft:smaller_extreme*=200.0
        biome/minecraft:mesa*=200.0
        biome/minecraft:ice_mountains*=200.0
        biome/minecraft:stone*=200.0
        biome/minecraft:plains*=20.0
        biome/minecraft:desert*=20.0
        biome/minecraft:swamp*=20.0
        biome/minecraft:beach*=20.0
        biome/minecraft:cold_beach*=20.0
        biome/minecraft:savanna*=20.0
        biome/minecraft:ice_flats*=20.0
     >

    # The weight for the 'giant' variant to be picked when spiders spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:giant_weight=100

    # The weight for the 'giant' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:giant_weight_exceptions <
     >

    # The weight for the 'hungry' variant to be picked when spiders spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:hungry_weight=100

    # The weight for the 'hungry' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:hungry_weight_exceptions <
     >

    # The weight for the 'mother' variant to be picked when spiders spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:mother_weight=100

    # The weight for the 'mother' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:mother_weight_exceptions <
     >

    # The weight for the 'pale' variant to be picked when spiders spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:pale_weight=100

    # The weight for the 'pale' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:ice*=200.0, biome/minecraft:frozen*=200.0, biome/minecraft:cold*=200.0, biome/minecraft:taiga_cold*=200.0, biome/minecraft:desert*=20.0, biome/minecraft:savanna*=20.0, biome/minecraft:mesa*=20.0, dimension/the_nether=20.0 } ]
    S:pale_weight_exceptions <
        biome/minecraft:ice*=200.0
        biome/minecraft:frozen*=200.0
        biome/minecraft:cold*=200.0
        biome/minecraft:taiga_cold*=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:savanna*=20.0
        biome/minecraft:mesa*=20.0
        dimension/the_nether=20.0
     >

    # The weight for the 'poison' variant to be picked when spiders spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:poison_weight=100

    # The weight for the 'poison' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:forest*=200.0, biome/minecraft:birch_forest*=200.0, biome/minecraft:roofed_forest*=200.0, biome/minecraft:jungle*=200.0, biome/minecraft:taiga*=200.0, biome/minecraft:redwood_taiga*=200.0, biome/minecraft:desert*=20.0, biome/minecraft:ice*=20.0, biome/minecraft:stone*=20.0 } ]
    S:poison_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:forest*=200.0
        biome/minecraft:birch_forest*=200.0
        biome/minecraft:roofed_forest*=200.0
        biome/minecraft:jungle*=200.0
        biome/minecraft:taiga*=200.0
        biome/minecraft:redwood_taiga*=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:ice*=20.0
        biome/minecraft:stone*=20.0
     >

    # The weight for the 'web' variant to be picked when spiders spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:web_weight=50

    # The weight for the 'web' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:forest*=200.0, biome/minecraft:birch_forest*=200.0, biome/minecraft:roofed_forest*=200.0, biome/minecraft:jungle*=200.0, biome/minecraft:taiga*=200.0, biome/minecraft:redwood_taiga*=200.0, biome/minecraft:desert*=20.0, biome/minecraft:ice*=20.0, biome/minecraft:stone*=20.0 } ]
    S:web_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:forest*=200.0
        biome/minecraft:birch_forest*=200.0
        biome/minecraft:roofed_forest*=200.0
        biome/minecraft:jungle*=200.0
        biome/minecraft:taiga*=200.0
        biome/minecraft:redwood_taiga*=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:ice*=20.0
        biome/minecraft:stone*=20.0
     >

    # The weight for the 'witch' variant to be picked when spiders spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:witch_weight=50

    # The weight for the 'witch' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:witch_weight_exceptions <
     >
}


##########################################################################################################
# witches
#--------------------------------------------------------------------------------------------------------#
# Options related to special witches.
##########################################################################################################

witches {
    # When true, all vanilla witches are replaced by 'vanilla-like' versions.
    # This enables all of the mod's options that apply to special variants to also apply to vanilla mobs,
    # in addition to all the nbt editing capabilities that special mobs have.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:_replace_vanilla=false

    # The chance for witches to spawn as special variants.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.6 ]
    D:_special_chance=0.6

    # The chance for witches to spawn as special variants when spawning in particular locations.
    # More specific locations take priority over others (biome < biome* < dimension < global setting).
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ dimension/overworld=0.25, dimension/the_nether=0.33, dimension/the_end=0.33 } ]
    S:_special_chance_exceptions <
        dimension/overworld=0.25
        dimension/the_nether=0.33
        dimension/the_end=0.33
     >

    # The weight for the 'domination' variant to be picked when witches spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:domination_weight=50

    # The weight for the 'domination' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:domination_weight_exceptions <
     >

    # The weight for the 'shadows' variant to be picked when witches spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:shadows_weight=100

    # The weight for the 'shadows' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:forest*=200.0, biome/minecraft:birch_forest*=200.0, biome/minecraft:roofed_forest*=200.0, biome/minecraft:jungle*=200.0, biome/minecraft:taiga*=200.0, biome/minecraft:redwood_taiga*=200.0, biome/minecraft:desert*=20.0, biome/minecraft:ice*=20.0, biome/minecraft:stone*=20.0 } ]
    S:shadows_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:forest*=200.0
        biome/minecraft:birch_forest*=200.0
        biome/minecraft:roofed_forest*=200.0
        biome/minecraft:jungle*=200.0
        biome/minecraft:taiga*=200.0
        biome/minecraft:redwood_taiga*=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:ice*=20.0
        biome/minecraft:stone*=20.0
     >

    # The weight for the 'undead' variant to be picked when witches spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:undead_weight=100

    # The weight for the 'undead' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:undead_weight_exceptions <
     >

    # The weight for the 'wilds' variant to be picked when witches spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:wilds_weight=100

    # The weight for the 'wilds' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:forest*=200.0, biome/minecraft:birch_forest*=200.0, biome/minecraft:roofed_forest*=200.0, biome/minecraft:jungle*=200.0, biome/minecraft:taiga*=200.0, biome/minecraft:redwood_taiga*=200.0, biome/minecraft:desert*=20.0, biome/minecraft:ice*=20.0, biome/minecraft:stone*=20.0 } ]
    S:wilds_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:forest*=200.0
        biome/minecraft:birch_forest*=200.0
        biome/minecraft:roofed_forest*=200.0
        biome/minecraft:jungle*=200.0
        biome/minecraft:taiga*=200.0
        biome/minecraft:redwood_taiga*=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:ice*=20.0
        biome/minecraft:stone*=20.0
     >

    # The weight for the 'wind' variant to be picked when witches spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:wind_weight=100

    # The weight for the 'wind' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:extreme*=200.0, biome/minecraft:smaller_extreme*=200.0, biome/minecraft:mesa*=200.0, biome/minecraft:ice_mountains*=200.0, biome/minecraft:stone*=200.0, biome/minecraft:plains*=20.0, biome/minecraft:desert*=20.0, biome/minecraft:swamp*=20.0, biome/minecraft:beach*=20.0, biome/minecraft:cold_beach*=20.0, biome/minecraft:savanna*=20.0, biome/minecraft:ice_flats*=20.0 } ]
    S:wind_weight_exceptions <
        biome/minecraft:extreme*=200.0
        biome/minecraft:smaller_extreme*=200.0
        biome/minecraft:mesa*=200.0
        biome/minecraft:ice_mountains*=200.0
        biome/minecraft:stone*=200.0
        biome/minecraft:plains*=20.0
        biome/minecraft:desert*=20.0
        biome/minecraft:swamp*=20.0
        biome/minecraft:beach*=20.0
        biome/minecraft:cold_beach*=20.0
        biome/minecraft:savanna*=20.0
        biome/minecraft:ice_flats*=20.0
     >
}


##########################################################################################################
# wither_skeletons
#--------------------------------------------------------------------------------------------------------#
# Options related to special wither skeletons.
##########################################################################################################

wither_skeletons {
    # Chance for wither skeletons to spawn as babies.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.05 ]
    D:_baby_chance=0.05

    # Chance for valid wither skeletons to spawn with bows.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.05 ]
    D:_bow_chance=0.05

    # When true, all vanilla wither skeletons are replaced by 'vanilla-like' versions.
    # This enables all of the mod's options that apply to special variants to also apply to vanilla mobs,
    # in addition to all the nbt editing capabilities that special mobs have.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:_replace_vanilla=false

    # The chance for wither skeletons to spawn as special variants.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.6 ]
    D:_special_chance=0.6

    # The chance for wither skeletons to spawn as special variants when spawning in particular locations.
    # More specific locations take priority over others (biome < biome* < dimension < global setting).
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ dimension/overworld=0.25, dimension/the_nether=0.33, dimension/the_end=0.33 } ]
    S:_special_chance_exceptions <
        dimension/overworld=0.25
        dimension/the_nether=0.33
        dimension/the_end=0.33
     >

    # The weight for the 'brute' variant to be picked when wither skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:brute_weight=100

    # The weight for the 'brute' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:brute_weight_exceptions <
     >

    # The weight for the 'gatling' variant to be picked when wither skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:gatling_weight=100

    # The weight for the 'gatling' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:gatling_weight_exceptions <
     >

    # The weight for the 'giant' variant to be picked when wither skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:giant_weight=100

    # The weight for the 'giant' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:giant_weight_exceptions <
     >

    # The weight for the 'knight' variant to be picked when wither skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:knight_weight=100

    # The weight for the 'knight' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:knight_weight_exceptions <
     >

    # The weight for the 'ninja' variant to be picked when wither skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:ninja_weight=100

    # The weight for the 'ninja' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:ninja_weight_exceptions <
     >

    # The weight for the 'sniper' variant to be picked when wither skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:sniper_weight=100

    # The weight for the 'sniper' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:sniper_weight_exceptions <
     >

    # The weight for the 'spitfire' variant to be picked when wither skeletons spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:spitfire_weight=50

    # The weight for the 'spitfire' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:spitfire_weight_exceptions <
     >
}


##########################################################################################################
# zombie_pigmen
#--------------------------------------------------------------------------------------------------------#
# Options related to special zombie pigmen.
##########################################################################################################

zombie_pigmen {
    # Chance for valid zombie pigmen to spawn with bows.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.2 ]
    D:_bow_chance=0.2

    # Chance for baby zombie pigmen to spawn riding on a pre-existing chicken near their spawn point.
    # The vanilla chance for this is 5%, like the forced chicken jockey version.
    # See the Forge config for zombie baby chance (forge.cfg).
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=1.0 ]
    D:_chicken_jockey_chance=1.0

    # Chance for baby zombie pigmen to spawn with a chicken mount.
    # See the Forge config for zombie baby chance (forge.cfg).
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.05 ]
    D:_chicken_jockey_forced_chance=0.05

    # When true, all vanilla zombie pigmen are replaced by 'vanilla-like' versions.
    # This enables all of the mod's options that apply to special variants to also apply to vanilla mobs,
    # in addition to all the nbt editing capabilities that special mobs have.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:_replace_vanilla=false

    # The chance for zombie pigmen to spawn as special variants.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.6 ]
    D:_special_chance=0.6

    # The chance for zombie pigmen to spawn as special variants when spawning in particular locations.
    # More specific locations take priority over others (biome < biome* < dimension < global setting).
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ dimension/overworld=0.25, dimension/the_nether=0.33, dimension/the_end=0.33 } ]
    S:_special_chance_exceptions <
        dimension/overworld=0.25
        dimension/the_nether=0.33
        dimension/the_end=0.33
     >

    # The weight for the 'brute' variant to be picked when zombie pigmen spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:brute_weight=100

    # The weight for the 'brute' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:brute_weight_exceptions <
     >

    # The weight for the 'fishing' variant to be picked when zombie pigmen spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:fishing_weight=100

    # The weight for the 'fishing' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:beaches=200.0, biome/minecraft:ocean=200.0, biome/minecraft:deep_ocean=200.0, biome/minecraft:frozen_ocean=200.0, biome/minecraft:desert*=50.0, biome/minecraft:savanna*=50.0, biome/minecraft:mesa*=50.0 } ]
    S:fishing_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:beaches=200.0
        biome/minecraft:ocean=200.0
        biome/minecraft:deep_ocean=200.0
        biome/minecraft:frozen_ocean=200.0
        biome/minecraft:desert*=50.0
        biome/minecraft:savanna*=50.0
        biome/minecraft:mesa*=50.0
     >

    # The weight for the 'giant' variant to be picked when zombie pigmen spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:giant_weight=100

    # The weight for the 'giant' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:giant_weight_exceptions <
     >

    # The weight for the 'hungry' variant to be picked when zombie pigmen spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:hungry_weight=100

    # The weight for the 'hungry' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:hungry_weight_exceptions <
     >

    # The weight for the 'knight' variant to be picked when zombie pigmen spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:knight_weight=100

    # The weight for the 'knight' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:knight_weight_exceptions <
     >

    # The weight for the 'plague' variant to be picked when zombie pigmen spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:plague_weight=100

    # The weight for the 'plague' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:forest*=200.0, biome/minecraft:birch_forest*=200.0, biome/minecraft:roofed_forest*=200.0, biome/minecraft:jungle*=200.0, biome/minecraft:taiga*=200.0, biome/minecraft:redwood_taiga*=200.0, biome/minecraft:desert*=20.0, biome/minecraft:ice*=20.0, biome/minecraft:stone*=20.0 } ]
    S:plague_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:forest*=200.0
        biome/minecraft:birch_forest*=200.0
        biome/minecraft:roofed_forest*=200.0
        biome/minecraft:jungle*=200.0
        biome/minecraft:taiga*=200.0
        biome/minecraft:redwood_taiga*=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:ice*=20.0
        biome/minecraft:stone*=20.0
     >

    # The weight for the 'vampire' variant to be picked when zombie pigmen spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:vampire_weight=50

    # The weight for the 'vampire' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:vampire_weight_exceptions <
     >
}


##########################################################################################################
# zombies
#--------------------------------------------------------------------------------------------------------#
# Options related to special zombies.
##########################################################################################################

zombies {
    # Chance for valid zombies to spawn with bows.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.05 ]
    D:_bow_chance=0.05

    # Chance for baby zombies to spawn riding on a pre-existing chicken near their spawn point.
    # The vanilla chance for this is 5%, like the forced chicken jockey version.
    # See the Forge config for zombie baby chance (forge.cfg).
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=1.0 ]
    D:_chicken_jockey_chance=1.0

    # Chance for baby zombies to spawn with a chicken mount.
    # See the Forge config for zombie baby chance (forge.cfg).
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.05 ]
    D:_chicken_jockey_forced_chance=0.05

    # When true, all vanilla zombies are replaced by 'vanilla-like' versions.
    # This enables all of the mod's options that apply to special variants to also apply to vanilla mobs,
    # in addition to all the nbt editing capabilities that special mobs have.
    #    >> Boolean:[ Valid_Values={ true, false }, Default=true ]
    B:_replace_vanilla=false

    # The chance for zombies to spawn as special variants.
    #    >> Float:[ Range={ 0.0, 1.0 }, Default=0.6 ]
    D:_special_chance=0.6

    # The chance for zombies to spawn as special variants when spawning in particular locations.
    # More specific locations take priority over others (biome < biome* < dimension < global setting).
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ dimension/overworld=0.25, dimension/the_nether=0.33, dimension/the_end=0.33 } ]
    S:_special_chance_exceptions <
        dimension/overworld=0.25
        dimension/the_nether=0.33
        dimension/the_end=0.33
     >

    # The weight for the 'brute' variant to be picked when zombies spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:brute_weight=100

    # The weight for the 'brute' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:brute_weight_exceptions <
     >

    # The weight for the 'fire' variant to be picked when zombies spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:fire_weight=100

    # The weight for the 'fire' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:desert*=200.0, biome/minecraft:savanna*=200.0, biome/minecraft:mesa*=200.0, dimension/the_nether=200.0, biome/minecraft:ice*=20.0, biome/minecraft:frozen*=20.0, biome/minecraft:cold*=20.0, biome/minecraft:taiga_cold*=20.0 } ]
    S:fire_weight_exceptions <
        biome/minecraft:desert*=200.0
        biome/minecraft:savanna*=200.0
        biome/minecraft:mesa*=200.0
        dimension/the_nether=200.0
        biome/minecraft:ice*=20.0
        biome/minecraft:frozen*=20.0
        biome/minecraft:cold*=20.0
        biome/minecraft:taiga_cold*=20.0
     >

    # The weight for the 'fishing' variant to be picked when zombies spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:fishing_weight=100

    # The weight for the 'fishing' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:beaches=200.0, biome/minecraft:ocean=200.0, biome/minecraft:deep_ocean=200.0, biome/minecraft:frozen_ocean=200.0, biome/minecraft:desert*=50.0, biome/minecraft:savanna*=50.0, biome/minecraft:mesa*=50.0 } ]
    S:fishing_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:beaches=200.0
        biome/minecraft:ocean=200.0
        biome/minecraft:deep_ocean=200.0
        biome/minecraft:frozen_ocean=200.0
        biome/minecraft:desert*=50.0
        biome/minecraft:savanna*=50.0
        biome/minecraft:mesa*=50.0
     >

    # The weight for the 'giant' variant to be picked when zombies spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:giant_weight=100

    # The weight for the 'giant' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:giant_weight_exceptions <
     >

    # The weight for the 'hungry' variant to be picked when zombies spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:hungry_weight=100

    # The weight for the 'hungry' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={  } ]
    S:hungry_weight_exceptions <
     >

    # The weight for the 'husk' variant to be picked when zombies spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=50 ]
    I:husk_weight=50

    # The weight for the 'husk' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:desert*=200.0, biome/minecraft:savanna*=200.0, biome/minecraft:mesa*=200.0, dimension/the_nether=200.0, biome/minecraft:ice*=20.0, biome/minecraft:frozen*=20.0, biome/minecraft:cold*=20.0, biome/minecraft:taiga_cold*=20.0 } ]
    S:husk_weight_exceptions <
        biome/minecraft:desert*=200.0
        biome/minecraft:savanna*=200.0
        biome/minecraft:mesa*=200.0
        dimension/the_nether=200.0
        biome/minecraft:ice*=20.0
        biome/minecraft:frozen*=20.0
        biome/minecraft:cold*=20.0
        biome/minecraft:taiga_cold*=20.0
     >

    # The weight for the 'plague' variant to be picked when zombies spawn as special variants.
    #    >> Integer:[ Range={ 0, 2147483647 }, Default=100 ]
    I:plague_weight=100

    # The weight for the 'plague' variant to be picked in particular locations.
    #    >> Environment_Array:[ Value={ biome/mod_id:biome_id=value, biome/mod_id:prefix*=value, dimension/dimension_id=value }, Default={ biome/minecraft:swamp*=200.0, biome/minecraft:forest*=200.0, biome/minecraft:birch_forest*=200.0, biome/minecraft:roofed_forest*=200.0, biome/minecraft:jungle*=200.0, biome/minecraft:taiga*=200.0, biome/minecraft:redwood_taiga*=200.0, biome/minecraft:desert*=20.0, biome/minecraft:ice*=20.0, biome/minecraft:stone*=20.0 } ]
    S:plague_weight_exceptions <
        biome/minecraft:swamp*=200.0
        biome/minecraft:forest*=200.0
        biome/minecraft:birch_forest*=200.0
        biome/minecraft:roofed_forest*=200.0
        biome/minecraft:jungle*=200.0
        biome/minecraft:taiga*=200.0
        biome/minecraft:redwood_taiga*=200.0
        biome/minecraft:desert*=20.0
        biome/minecraft:ice*=20.0
        biome/minecraft:stone*=20.0
     >
}


